Botnet Feed
botnet_feed
Botnet Feed
ASN
botnet_feed.asn
Methods
Get Daily Report -> Envelope<{ cidr, date, offense_count }>
get/accounts/{account_id}/botnet_feed/asn/{asn_id}/day_report
Gets all the data the botnet tracking database has for a given ASN registered to user account for given date. If no date is given, it will return results for the previous day.
Get Full Report -> Envelope<{ cidr, date, offense_count }>
get/accounts/{account_id}/botnet_feed/asn/{asn_id}/full_report
Gets all the data the botnet threat feed tracking database has for a given ASN registered to user account.
Botnet Feed
Configs
botnet_feed.configs
botnet_feed.configs.asn
Methods
Get List Of ASNs -> Envelope<{ asn }>
get/accounts/{account_id}/botnet_feed/configs/asn
Gets a list of all ASNs registered for a user for the DDoS Botnet Feed API.
Security
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
DDoS Botnet Feed Write DDoS Botnet Feed Read
path Parameters
account_id: string
(maxLength: 32)Identifier.
Response fields
errors: Array<{ code, message, documentation_url, 1 more... }>
messages: Array<{ code, message, documentation_url, 1 more... }>
success: true
Whether the API call was successful.
result: { asn }
Optional
Request example
200Example
Delete An ASN -> Envelope<{ asn }>
delete/accounts/{account_id}/botnet_feed/configs/asn/{asn_id}
Delete an ASN from botnet threat feed for a given user.